org.keycloak.services.resources.admin

## Class IdentityProviderResource

- java.lang.Object
- - org.keycloak.services.resources.admin.IdentityProviderResource

-     public class IdentityProviderResource
      extends Object

  Author:
    Pedro Igor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdentityProviderResource(RealmAuth auth, RealmModel realm, KeycloakSession session, IdentityProviderModel identityProviderModel)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `delete()`
    `javax.ws.rs.core.Response` | `export(javax.ws.rs.core.UriInfo uriInfo, String format)`
    `IdentityProviderRepresentation` | `getIdentityProvider()`
    `javax.ws.rs.core.Response` | `update(IdentityProviderRepresentation providerRep)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IdentityProviderResource

          public IdentityProviderResource(RealmAuth auth,
                                  RealmModel realm,
                                  KeycloakSession session,
                                  IdentityProviderModel identityProviderModel)

  - ### Method Detail

    - #### getIdentityProvider

          @GET
          @Produces(value="application/json")
          public IdentityProviderRepresentation getIdentityProvider()

    - #### delete

          @DELETE
          public javax.ws.rs.core.Response delete()

    - #### update

          @PUT
          @Consumes(value="application/json")
          public javax.ws.rs.core.Response update(IdentityProviderRepresentation providerRep)

    - #### export

          @GET
          @Path(value="export")
          public javax.ws.rs.core.Response export(@Context
                                                  javax.ws.rs.core.UriInfo uriInfo,
                                                  @QueryParam(value="format")
                                                  String format)

Copyright © 2015. All rights reserved.